Bug 755005 - Migration to RAID5 is sometimes not possible (memory leak)
Migration to RAID5 is sometimes not possible (memory leak)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mdadm (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jes Sorensen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 756336
  Show dependency treegraph
 
Reported: 2011-11-18 09:48 EST by Jes Sorensen
Modified: 2011-12-14 18:37 EST (History)
6 users (show)

See Also:
Fixed In Version: mdadm-3.2.2-15.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 756336 (view as bug list)
Environment:
Last Closed: 2011-12-14 18:37:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jes Sorensen 2011-11-18 09:48:48 EST
Migration from Non-RAID system to RAID5 may sometimes be not possible. There is
a memory leak in mdadm which may stop the migration process. This occurs
especially when large disks are used.

There is a fix:
http://neil.brown.name/git?p=mdadm;a=commitdiff;h=758be4f1c9cda8eefb2fd241835521462196e16c

Originally reported by Maciej Patelczyk
Comment 1 Fedora Update System 2011-11-23 05:46:51 EST
mdadm-3.2.2-15.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mdadm-3.2.2-15.fc16
Comment 2 Fedora Update System 2011-11-23 18:26:20 EST
Package mdadm-3.2.2-15.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mdadm-3.2.2-15.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16299/mdadm-3.2.2-15.fc16
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2011-12-14 18:37:56 EST
mdadm-3.2.2-15.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.